for L in 3 4
do
    for N in 100 500 1000 2000
    do
        for model in fc

        do
            for pruner in grasp snip rand
            do
                for seed in $(seq 1 100)
                do
                    for compression in 0.5 0.75 1
                    do
                        python main.py --pruner $pruner --dataset mnist --model-class default \
                        --model $model --compression $compression --pre-epochs 0 --experiment extract-mask --seed $seed \
                        --n_layers $L --hidden_dim $N
                    done
                done
            done
        done
    done
done



for L in 3 4
do
    for N in 100 500 1000 2000
    do
        for model in fc

        do
            for pruner in synflow
            do
                for seed in $(seq 1 100)
                do
                    for compression in 0.5 0.75 1
                    do
                        python main.py --pruner $pruner --dataset mnist --model-class default \
                        --model $model --compression $compression --pre-epochs 0 --experiment extract-mask --seed $seed \
                        --n_layers $L --hidden_dim $N --prune-epochs 100
                    done
                done
            done
        done
    done
done
